public inbox for gentoo-catalyst@lists.gentoo.org
 help / color / mirror / Atom feed
From: Brian Dolbec <dolsen@gentoo.org>
To: gentoo-catalyst@lists.gentoo.org
Cc: Brian Dolbec <dolsen@gentoo.org>
Subject: [gentoo-catalyst] [PATCH 3/3] Fix a relative path bug
Date: Tue, 17 Dec 2013 17:12:11 -0800	[thread overview]
Message-ID: <1387329131-25890-4-git-send-email-dolsen@gentoo.org> (raw)
In-Reply-To: <1387329131-25890-1-git-send-email-dolsen@gentoo.org>

---
 targets/support/functions.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/targets/support/functions.sh b/targets/support/functions.sh
index 80e371c..3245862 100644
--- a/targets/support/functions.sh
+++ b/targets/support/functions.sh
@@ -20,7 +20,7 @@ exec_in_chroot(){
 # and executes it.
 	local file_name=$(basename ${1})
 	local subdir=${2}
-	local destdir=".${subdir}/tmp"
+	local destdir="${subdir}/tmp"
 
 	echo "Copying ${file_name} to ${destdir}"
 	copy_to_chroot ${1} ${destdir}
@@ -33,7 +33,7 @@ exec_in_chroot(){
 	chmod +x ${chroot_path}/${destdir}/${file_name}
 
 	echo "Running ${file_name} in chroot ${chroot_path}"
-	${clst_CHROOT} ${chroot_path} ${destdir}/${file_name} || exit 1
+	${clst_CHROOT} ${chroot_path} .${destdir}/${file_name} || exit 1
 
 	delete_from_chroot ${destdir}/${file_name}
 	delete_from_chroot ${destdir}/chroot-functions.sh
-- 
1.8.3.2



  parent reply	other threads:[~2013-12-18  1:12 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-12-18  1:12 [gentoo-catalyst] Path addition fixes to prevent multiple slashes in paths Brian Dolbec
2013-12-18  1:12 ` [gentoo-catalyst] [PATCH 1/3] Remove some troublesome trailing slashes from paths Brian Dolbec
2013-12-18  3:41   ` W. Trevor King
2013-12-18  5:40     ` Brian Dolbec
2013-12-18  1:12 ` [gentoo-catalyst] [PATCH 2/3] Remove an extra slash in the path Brian Dolbec
2013-12-18  3:42   ` W. Trevor King
2013-12-18  1:12 ` Brian Dolbec [this message]
2013-12-18  3:48   ` [gentoo-catalyst] [PATCH 3/3] Fix a relative path bug W. Trevor King

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1387329131-25890-4-git-send-email-dolsen@gentoo.org \
    --to=dolsen@gentoo.org \
    --cc=gentoo-catalyst@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox